# About
Eclipse Platform™ defines the set of frameworks and common services that collectively make up infrastructure required to support the use of Eclipse as a component model, as a Rich Client Platform (RCP) and as a comprehensive tool integration platform. 
These services and frameworks include a standard workbench user interface model and portable native widget toolkit, a project model for managing resources, automatic resource delta management for incremental compilers and builders, language-independent debug infrastructure, and infrastructure for distributed multi-user versioned resource management.

How to contribute
================
Thanks for your interest in this project<br>
See [How to contribute in Eclipse](https://github.com/eclipse-platform/.github/blob/main/CONTRIBUTING.md) for understanding how to contribute Eclipse Platform in general.

Contributor License Agreement:
------------------------------
Before your contribution can be accepted by the project, you need to create and electronically sign the [Eclipse Foundation Contributor License Agreement (CLA).](http://www.eclipse.org/legal/CLA.php)

Create a new bug:
-----------------
You can register bugs and feature requests in the Github Issue Tracker. Remember that contributions are always welcome!
- [View existing UA issues](https://github.com/eclipse-platform/eclipse.platform.ua/issues)
- [New UA issue](https://github.com/eclipse-platform/eclipse.platform.ua/issues/new)
Information regarding source code management, builds, coding standards, and more and be found under [here.](https://projects.eclipse.org/projects/eclipse.platform.ua/developer)

Please bear in mind that this project is almost entirely developed by volunteers. If you do not provide the implementation yourself (or pay someone to do it for you), the bug might never get fixed. If it is a serious bug, other people than you might care enough to provide a fix.

License:
-----------------
[Eclipse Public License (EPL) 2.0](https://www.eclipse.org/legal/epl-2.0/)

Contact:
--------
Contact the project developers via the [project's "dev" list.](https://accounts.eclipse.org/mailing-list/platform-dev)
